Subject: Re: [PATCH 03/65] powerpc/mm/subpage: Clear RWX bit to indicate no access

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Mon, 04 Apr 2016 20:29:08 +0530

Balbir Singh <[email-masked]> writes:

> [ text/plain ]
>
>
> On 27/03/16 19:23, Aneesh Kumar K.V wrote:
>> Subpage protection used to depend on _PAGE_USER bit to implement no
>> access mode. This patch switch that to use _PAGE_RWX. We clear READ,
>> Write and Execute access from pte instead of clearing _PAGE_USER now.
>> This was done so that we can switch to _PAGE_PRIVILEGED in later patch.
>> subpage_protection() returns pte bits that need to be cleared.
> Could you please clarify what bit needs to be cleared. I think the underlying
> assumption is that when this routine is called access cannot be _PAGE_RWX

I didn't follow the question. subpage_protection() returns the pte bits
that need to be cleared for a specific access depending on the subpage
prot mask we set using subpage_prot syscall. 

>> Instead of updating the interface to handle no-access in a separate way,
>> it appears simple to clear RWX acecss to indicate no access.
>>

-aneesh